Photos
Google Place Photos Parameters
GET /search?engine=google&search_type=place_photos
The Google Place Photos Parameters are applicable when making a request with search_type=place_photos to retrieve place photos for a Place. The Place is specified in the data_id parameter, data_id values are returned from search_type=places Places requests.
Place Photo Category IDs If shown, a search_type=place_photos will return a categories array containing photo categories. You can pass a place photos category ID in to the optional category_id parameter to refine your place photos request to just photos belonging to that category.
Place Photos Pagination Place Photo results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each search_type=place_photos result will return a next_page_token in its' pagination object. This next_page_token can be passed in to the next_page_token request parameter to retrieve the next page of place photo results.

For example, to request place photo results for the data_id 0x89c259cea3b62d4d:0x4519bf551f37923f , the request would be:
https://api.serpwow.com/live/search?api_key=demo&search_type=place_photos&data_id=0x89c259cea3b62d4d:0x4519bf551f37923fGoogle Place Photos Parameters
The following parameters are available for all requests made when search_type=place_photos .
Parameter | Required | Description |
|---|---|---|
engine | required | Should be set to engine=google . |
search_type | required | Should be set to search_type=place_photos . |
data_id | required | The data_id of the Place to retrieve place photos for. data_id values are returned in Places requests . |
category_id | optional | An optional category ID to limit the returned photos to just those belonging to the given category. category_id values, if shown for the given data_id , are returned in the categories array in all search_type=place_photos results. |
include_photos_count | optional | Includes the estimated number of photos in the photos section of the places knowledge panel. If set to true, then 1 additional credit is charged. |
include_photo_metadata | optional | Includes type, author_name, author_avatar_url, author_profile_url, relative_date and caption for each photo in the results. If set to true, then 1 additional credit is charged. |
hl | optional | The hl parameter determines the Google UI language to return results. View the full list of supported hl values here . Defaults to en . |
next_page_token | optional | Place Photo results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each search_type=place_photos result will return a next_page_token in its' pagination object. This next_page_token can be passed in to the next_page_token request parameter to retrieve the next page of place photo results. |
Next Steps Google Place Photos Results